
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>三层架构中业务逻辑层的实现方式有哪些 / iVAN</title>

    <meta name="description" content="三层架构中业务逻辑层的实现方式有哪些 问题描述 如题,比如说webservice,最好是应用程序和网页都能调用的接口 解决方案 解决方案二:BLL层一般都是继承接口实现,使用接口可以扩展业务逻辑.解决方案三:引用1楼duanzi_peng的回复: BLL层一般都是继承接口实现,使用接口可以扩展业务逻辑. 我就是想问接口的实现技术有哪些解决方案四:目前比较流行的是wcf解决方案五:所谓&quot;业务逻辑&quot;,就是你的业务所需要处理的逻辑呀!虽然数据的增删改查也是业务,但一般直接放在数据访问层实现.举个例子,你用三层来实现登录 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">三层架构中业务逻辑层的实现方式有哪些</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>问题描述</h2>
<p>如题，比如说webservice，最好是应用程序和网页都能调用的接口<br />
<h2>解决方案</h2>
<p>解决方案二：<br />BLL层一般都是继承接口实现，使用接口可以扩展业务逻辑。<br />解决方案三：<br />引用1楼duanzi_peng的回复:<br />
<blockquote>BLL层一般都是继承接口实现，使用接口可以扩展业务逻辑。</p></blockquote>
<p>我就是想问接口的实现技术有哪些<br />解决方案四：<br />目前比较流行的是wcf<br />解决方案五：<br />所谓“业务逻辑”，就是你的业务所需要处理的逻辑呀！虽然数据的增删改查也是业务，但一般直接放在数据访问层实现。举个例子，你用三层来实现登录的话，判断用户能否登录的逻辑就应该在业务逻辑层实现。<br />解决方案六：<br />你是问如何远程通讯是吗？不要挂个“业务逻辑层”的名义，业务逻辑层不一定一定要远程访问。远程通讯问题，如果放在10多年前，那么使用webservice算是一个挺时髦的方式。尽管真正的大系统（例如电信公司）里边的远程通信都是更直接更有效率的形式，但是webservice直接封装了“xml序列化/反序列化，以及schema自动发现模式”所以更适合业余开发人员快速上手。如今早已经从xml时代过渡到json时代（或者是有许多比json更轻、更快的协议），效率和灵活性更重要。<br />解决方案七：<br />引用2楼cjq1986的回复:<br />
<blockquote>Quote: 引用1楼duanzi_peng的回复:<br />
<blockquote>BLL层一般都是继承接口实现，使用接口可以扩展业务逻辑。</p></blockquote>
<p>我就是想问接口的实现技术有哪些</p></blockquote>
<p>罗列概念，可能意味着哪种都搞不深入。<br />解决方案八：<br />引用楼主cjq1986的回复:<br />
<blockquote>如题，比如说webservice，最好是应用程序和网页都能调用的接口</p></blockquote>
<p>你学习一下ajax框架（例如jQuery）比较统一的标准化、轻量级访问方式，就知道了。例如我们的ajax程序如果访问asp.net网站的话，基本上都是访问ashx通用程序服务。只有真正开发windowsservice企业级服务系统的人才能够有一定的自由度选择通讯方式。如果你使用门槛极低的asp.net网页开发工具，你自然需要从那里找方法。我猜你现在根本不会开发企业级windowsservice系统，那么说多了其它方式，其实也没用。<br />解决方案九：<br />大多数我不把服务看做是业务逻辑层来处理的，呵呵~楼主想问的应该是关于服务层这块的实现技术吧，如果是内部项目可以选择WCF，如果需要公共接口的用webAPI（restfulservice），大多数情况下可以使用webAPI+WCF组合技术，将WCF作为内部业务处理的通信技术，而webAPI作为外部通信接口<br />解决方案十：<br />应用程序和网页都能调用的接口？不想事多，就全部用webapi吧<br />解决方案十一：<br />引用3楼lovelj2012的回复:<br />
<blockquote>目前比较流行的是wcf</p></blockquote>
<p>好的谢谢<br />解决方案十二：<br />引用8楼u011573693的回复:<br />
<blockquote>大多数我不把服务看做是业务逻辑层来处理的，呵呵~楼主想问的应该是关于服务层这块的实现技术吧，如果是内部项目可以选择WCF，如果需要公共接口的用webAPI（restfulservice），大多数情况下可以使用webAPI+WCF组合技术，将WCF作为内部业务处理的通信技术，而webAPI作为外部通信接口</p></blockquote>
<p>嗯嗯学习了<br />解决方案十三：<br />引用9楼u011710947的回复:<br />
<blockquote>应用程序和网页都能调用的接口？不想事多，就全部用webapi吧</p></blockquote>
<p>怎么说<br />解决方案十四：<br />引用12楼cjq1986的回复:<br />
<blockquote>Quote: 引用9楼u011710947的回复:<br />
<blockquote>应用程序和网页都能调用的接口？不想事多，就全部用webapi吧</p></blockquote>
<p>怎么说</p></blockquote>
<p>轻量级，手机、pad、web都可以方便调用和解析，免得你写wcf别人还去解析繁琐的xml<br />解决方案十五：<br />虽然WCF也有RestFul方式提供，但因为先天问题，在Rest支持方面，还是WebAPI更专业<br />解决方案：引用6楼sp1234的回复:<br />
<blockquote>Quote: 引用2楼cjq1986的回复:<br />
<blockquote>Quote: 引用1楼duanzi_peng的回复:<br />
<blockquote>BLL层一般都是继承接口实现，使用接口可以扩展业务逻辑。</p></blockquote>
<p>我就是想问接口的实现技术有哪些</p></blockquote>
<p>罗列概念，可能意味着哪种都搞不深入。</p></blockquote>
<p>我想深入，现在还在打基础。。偶尔瞅瞅都有啥<br />解决方案：引用13楼u011710947的回复:<br />
<blockquote>Quote: 引用12楼cjq1986的回复:<br />
<blockquote>Quote: 引用9楼u011710947的回复:<br />
<blockquote>应用程序和网页都能调用的接口？不想事多，就全部用webapi吧</p></blockquote>
<p>怎么说</p></blockquote>
<p>轻量级，手机、pad、web都可以方便调用和解析，免得你写wcf别人还去解析繁琐的xml</p></blockquote>
<p>所以最好的办法或许是wcf+webapi这样的设计wcf做为内部通信其优势大于webapi，而外部调用为了求简单的通用，大多用webapi是最佳的</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 17:02:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/webservice/" title="WebService">WebService</a>, <a href="https://www.iamivan.net/tag/%e4%b8%89%e5%b1%82%e6%9e%b6%e6%9e%84/" title="&num;三层架构">&num;三层架构</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>三层架构中业务逻辑层的实现方式有哪些的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRwOndp.html" rel="bookmark">架构设计-业务逻辑层简述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    业务逻辑层是专门处理软件业务需求的一层,处于数据库之上,服务层之下,完成一些列对Domain Object的CRUD,作为一组微服务提供给服务层来组织在暴露给表现层,如库存检查,用法合法性检查,订单创建.    业务逻辑层包含领域对象模型,领域实体,业务规则,验证规则,业务流程.1:领域对象模型为系统结构描述,包含实体功能描述,实体之间的关系.领域模型处于天生的复杂性:2:领域实体:业务层是一些操作业务对象(BO)的处理.业务对象包含数据和行为,是一个完整的业务对象.其不同于上节架构设计			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBPDlop.html" rel="bookmark">多层架构在业务逻辑层实现IOC</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在业务逻辑层实现IOC,可以有效的减少代码量,把通用的操作写在通用的类中,然后在UI层对谁操作就建立谁的实例. 具体做法看代码: Service层核心代码: 接口规范: namespace Service { /// &lt;summary&gt; /// 标准逻辑处理接口 /// &lt;/summary&gt; /// &lt;typeparam name=&quot;TEntity&quot;&gt;&lt;/typeparam&gt; public interface IServices&lt;T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK51eEp.html" rel="bookmark">三层架构中，层与层之间返回消息，怎么实现比较好？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 三层架构中,层与层之间返回消息,怎么实现比较好?举个例子:比如UI层调用业务逻辑层,业务逻辑层会告诉UI层:操作成功.或者用户没有该操作权限.内部报错啊等等之类的消息.请教一下各位有经验的朋友们,这种层与层之间的信息通信怎么设计和实现比较好.谢谢! 解决方案 解决方案二:执行结果之类的直接用INT就可以再标准点就用ENUM但是要是返回一张表最好自定义类来实现比较好解决方案三:或者用户没有该操作权限.内部报错啊===这些可以添加TRY..CATCH捕获到异常直接在BLL抛出WEB写个基类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxmYWb.html" rel="bookmark">基于&period;NET平台的分层架构实战（十）&mdash;业务逻辑层的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在这一篇文章中,将实现一个NGuestBook的业务逻辑层. 在实际应用 中,业务逻辑层是至关重要的,他承载着整个系统最核心的部分,也是客户最关 注的部分.这一部分的实现,通常需要技术专家和领域专家通力合作.当然,在 本文章系列的Demo中,由于业务逻辑的简单性,这里看的可能还不是很明显. 在本篇文章的业务逻辑层实现中,业务逻辑层主要承担了以下职责: 1.对不同数据访问层的封装.使得表示层可以不关心具体的数据访问层. 2.业务逻辑数据的填充与转换.如管理员口令的加密. 3.核心业 务的实现.这里			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8R6rb.html" rel="bookmark">ASP&period;NET MVC5网站开发之业务逻辑层的架构和基本功能 （四）&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				业务逻辑层在Ninesky.Core中实现,主要功能封装一些方法通过调用数据存储层,向界面层提供服务. 一.业务逻辑层的架构 Ninesky.Core包含三个命名空间Ninesky.Core.Ninesky.Core.Types.Ninesky.Core.General. Ninesky.Core包含模型和功能实现,Ninesky.Core.Types是项目用到的一些类型的定义,Ninesky.Core.General是项目用到的一些方法的定义. 1.Ninesky.Core命名空间的结构 Ni			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Ng0Vb.html" rel="bookmark">在ASP&period;NET 2&period;0中操作数据之二：创建一个业务逻辑层&lowbar;自学过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				导言 本教程的第一节所描述的数据访问层(Data Access Layer,以下简称为DAL)已经清晰地将表示逻辑与数据访问逻辑区分开了.不过,即使DAL将数据访问的细节从表示层中分离出来了,可它却不能处理任何的业务规则.比如说,我们可能不希望产品表中那些被标记为&quot;停用&quot;的产品的&quot;分类编号&quot;或&quot;供应商编号&quot;被更新:我们还可能需要应用一些资历规则,比如说我们都不希望被比自己的资历还要浅的人管理.另外一个比较常见的情况就是授权,比如说只有那些具有特殊			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6egJM.html" rel="bookmark">service层设计-关于三层架构中service dao 和实体的设计实现的疑问</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于三层架构中service dao 和实体的设计实现的疑问 在 java 的三层架构中一直有几个问题困扰着我一直不得解决,特在此请教各位大神,还请各位大大,不腻赐教 场景: 加入现在是一个教务系统里面包含数据库表 课程表,学生表,学生购买的课程表 课程表 学生表 学生购买的课程表 这个时候如何设计实体类呢 学生实体1 public class student { private Integer id; private String name; private String birth			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYRl8b.html" rel="bookmark">《解剖PetShop》之五：PetShop之业务逻辑层设计&lowbar;自学过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				五 PetShop之业务逻辑层设计 业务逻辑层(Business Logic Layer)无疑是系统架构中体现核心价值的部分.它的关注点主要集中在业务规则的制定.业务流程的实现等与业务需求有关的系统设计,也即是说它是与系统所应对的领域(Domain)逻辑有关,很多时候,我们也将业务逻辑层称为领域层.例如Martin Fowler在&lt;Patterns of Enterprise Application Architecture&gt;一书中,将整个架构分为三个主要的层:表示层.领域层和数据源层.作为领			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWywez.html" rel="bookmark">ASP&period;NET2&period;0数据操作之创建业务逻辑层</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|创建|数据 导言 本教程的第一节所描述的数据访问层(Data Access Layer,以下简称为DAL)已经清晰地将表示逻辑与数据访问逻辑区分开了.不过,即使DAL将数据访问的细节从表示层中分离出来了,可它却不能处理任何的业务规则.比如说,我们可能不希望产品表中那些被标记为&quot;停用&quot;的产品的&quot;分类编号&quot;或&quot;供应商编号&quot;被更新:我们还可能需要应用一些资历规则,比如说我们都不希望被比自己的资历还要浅的人管理.另外一个比较常见的情况就是			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbajQM5.html" rel="bookmark" class="title">通向架构师的道路（第四天）之Tomcat性能调优-让小猫飞奔</a>
					<div>
						一.总结前一天的学习 从&quot;第三天&quot;的性能测试一节中,我们得知了决定性能测试的几个重要指标,它们是: ü   吞吐量 ü   Responsetime ü   Cpuload ü   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWKZXM.html" rel="bookmark" class="title">Photoshop给抠出的实物图增加逼真投影</a>
					<div>
						作者增加投影的方法非常简单实用.思路:先把实物图抠出,然后复制一层并移到原图层下面:对副本图层变形处理,做成初步的投影:再用图层样式变成暗色,并适当高斯模糊处理,然后用蒙版结合渐变把投影处理自然:最后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz41rjb.html" rel="bookmark" class="title">CISCO PIX防火墙系统管理&lpar;3&rpar;</a>
					<div>
						使用防火墙和内存池MIB(Using the Firewall and Memory Pool MIBs) Cisco防火墙和内存池MIB让您可以轮询故障转换和系统状态.本部分包括以下内容: o ip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJDK6M.html" rel="bookmark" class="title">其他功能</a>
					<div>
						转自php中文用户5. 其他杂项 5.1 生成图像 PHP可以操作处理图像.如果你已经安装了GD库,你甚至可以利用PHP生成图像.&lt;?Header(&quot;Content-type: ima ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEPRPz.html" rel="bookmark" class="title">&period;NET下可复用的TCP通信层实现之TCP组件</a>
					<div>
						    2006年已经来临,回首刚走过的2005,心中感慨万千.在人生和生活的目标上,有了清晰明确的定位,终于知道了自己喜欢什么样的生活,喜欢什么样的生活方式:在技术上,成熟了不少,眼界也开阔的不少, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAxB6b.html" rel="bookmark" class="title">IESuper是什么，IESuper（IE超人）有哪些功能？</a>
					<div>
						IE超人是IE浏览器的辅助增强工具,可以帮助您更好的使用IE浏览器进行网上冲浪.做到更快.更省.更安全! IESuper(IE超人)是一款支持IE6.0/7.0/8.0的增强插件,最常见的增强功能广告 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Pw5Bp.html" rel="bookmark" class="title">poj 2535 Very Simple Problem</a>
					<div>
						开始题意搞错了,一直以为是最简单的问题才行... 后来看discuss才发现只要简单就可以了,里面看到一个很不错的题意解释... 问题: n个人给p道题打分,一道题是最容易题的条件: 该题被评为最简单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32amWz.html" rel="bookmark" class="title">深入理解Spark：核心思想与源码分析</a>
					<div>
						大数据技术丛书 深入理解Spark:核心思想与源码分析 耿嘉安 著 图书在版编目(CIP)数据 深入理解Spark:核心思想与源码分析/耿嘉安著. -北京:机械工业出版社,2015.12 (大数据技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVenBb.html" rel="bookmark" class="title">用好&OpenCurlyDoubleQuote;心理学&rdquo;，管理不发虚</a>
					<div>
						在讨论过了胜任力素质模型.人员招聘和新员工融入之后,我们今天来讨论一下老员工的个人成长问题.可以说企业人力资源管理体系中,除了员工招聘和新员工培养,其他的各个环节--培训开发.绩效管理.职业生涯规划. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwaxjM.html" rel="bookmark" class="title">我眼中的技术高手</a>
					<div>
						今天发了一条微博: 会原生 JavaScript 不代表什么,懂 jQuery.YUI 等才真正好.怎么这么多人有原生主义情结呢?走出那点小天地,海阔天高. 很多人已经猜出,这是为了晚上的文章而发,提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lKv8b.html" rel="bookmark" class="title">Building a RESTful Web Service&lpar;转&rpar;</a>
					<div>
						Building a RESTful Web Service This guide walks you through the process of creating a &quot;hello wo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPj6vp.html" rel="bookmark" class="title">源代码可以运行，自己写出不来</a>
					<div>
						问题描述 源代码可以运行,自己写出不来 using System; using System.Collections.Generic; using System.ComponentModel; usi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWr4jp.html" rel="bookmark" class="title">python 迭代器和生成器</a>
					<div>
						迭代器 迭代器是一个实现了迭代器协议的对象,Python中的迭代器协议就是有next方法的对象会前进到下一结果,而在一系列结果的末尾是,则会引发StopIteration. 在for循环中,Pytho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Nn6qM.html" rel="bookmark" class="title">Ubuntu安装深度音乐&amp;amp&semi;&amp;amp&semi;深度影音</a>
					<div>
						安装深度音乐 安装方法一 安装依赖包gstreamer0.10-ffmpeg 添加PPA到您的系统 更新本地存储索引 安装gstreamero.10-ffmpeg包 sudo add-apt-repo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAB4kM.html" rel="bookmark" class="title">Java并发新构件之PriorityBlockingQueue</a>
					<div>
						An unbounded blocking queue that uses the same ordering rules as class PriorityQueue and supplies bl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAjl4p.html" rel="bookmark" class="title">结构中一段代码的解释</a>
					<div>
						问题描述 结构中一段代码的解释 如图,写了一个结构的代码,我想问下,光标选中的那一段是什么意思? 解决方案 构造函数,结构体也可以和类一样包含构造函数. 你可以用 book b = new book( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRWJ4b.html" rel="bookmark" class="title">ganglia gweb AUTH configure with nginx</a>
					<div>
						ganglia的认证是基于Zend框架来写的, 权限分布可见lib/GangliaAcl.php. (默认所有集群归属于ALL_CLUSTERS, 所有用户归属于GUEST, 默认GUEST角色有所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmlJ5b.html" rel="bookmark" class="title">化繁为简 海云捷迅为企业提供应用OpenStack新&OpenCurlyDoubleQuote;姿势&rdquo;</a>
					<div>
						自2010年10月 OpenStack首个正式版本Austin发布至今,已有近七年的发展历程.相比Cloudstack.OpenNebula等开源技术,OpenStack发展最为迅速,随时间推移渐渐趋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV050KM.html" rel="bookmark" class="title">最大域名商GoDaddy天价拍卖 4300万域名何去何从</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 最近有海外媒体爆料,全球最大的域名注册公司GoDaddy计划通过竞拍方式出售.据了解,主持这次竞购GoDaddy行动的将会是硅谷资深银行家弗兰克·奎特隆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQVB4p.html" rel="bookmark" class="title">刚新安装VS2015 ，怎么有两个 windows software development kit &quest;用拆一个不？有图</a>
					<div>
						问题描述 昨天安装的win10,今天安装了一天的VS2015(update1),结果刚才查了一下,居然有两个windowssoftwaredevelopmentkit??windowssoftware ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ13vrb.html" rel="bookmark" class="title">专家称网络对少年有一定影响但不应将其妖魔化</a>
					<div>
						四国联合调查显示:中国学生在学习中电脑使用率远低于韩美日 新华网北京4月9日电(记者贾楠)中国青少年研究中心日前公布的&quot;中日韩美四国高中生学习意识与状况比较研究&quot;结果显示,受访中国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2RXBz.html" rel="bookmark" class="title">python数据结构树和二叉树简介&lowbar;python</a>
					<div>
						一.树的定义 树形结构是一类重要的非线性结构.树形结构是结点之间有分支,并具有层次关系的结构.它非常类似于自然界中的树.树的递归定义:树(Tree)是n(n≥0)个结点的有限集T,T为空时称为空树,否 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR18Lab.html" rel="bookmark" class="title">只有mdf文件的数据库附加失败的修复方法分享&lpar;置疑、只读&rpar;&lowbar;MsSql</a>
					<div>
						只有mdf文件的数据库附加失败的修复 附加时报如下错误: 服务器: 消息 1813,级别 16,状态 2,行 1 未能打开新数据库 'test'.CREATE DATABASE 将终止. 设备激活错误 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2krwz.html" rel="bookmark" class="title">python标准算法实现数组全排列的方法&lowbar;python</a>
					<div>
						本文实例讲述了python标准算法实现数组全排列的方法,代码来自国外网站.分享给大家供大家参考.具体分析如下: 从n个不同元素中任取m(m≤n)个元素,按照一定的顺序排列起来,叫做从n个不同元素中取出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QdDKM.html" rel="bookmark" class="title">jQuery事件用法实例汇总&lowbar;jquery</a>
					<div>
						本文以实例形式详细汇总了jQuery中事件的用法,对jQuery的学习有很好的参考价值.分享给大家供大家参考之用.具体用法如下: 1.通过方法名给元素绑定事件: $('li').click(funct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvGV3b.html" rel="bookmark" class="title">中国就大有机会像其他任何国家一样克服这一创新挑战</a>
					<div>
						微软亚太区研发集团主席张亚勤说,中国工程师完全有能力开发出地位更高的美国工程师借以闻名的那些创新产品.过去抄袭多于创新,但这种情况将发生改变.张亚勤在新加坡&lt;华尔街日报&gt;&quot;释放创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWxGrM.html" rel="bookmark" class="title">网银在线伙同旺旺刘金乐对消费者进行网络诈骗</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   网银在线北京科技有限公司伙同旺旺刘金乐168及新雅服饰 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YLY9b.html" rel="bookmark" class="title">地图在手机上不显示</a>
					<div>
						问题描述 我写了个地图程序,在模拟器上可以打开地图,但装到真机上,地图就打不开了,但可以定位,请问,打开地图在真机上需要设置或权限吗?我的手机是HTC G6 解决方案 你是否未申请新的apiKey?模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWqaKp.html" rel="bookmark" class="title">建站N仍在起跑线 继续上下求索</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 我是曲型的80一代,2003上大学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyv0OM.html" rel="bookmark" class="title">《Adobe Dreamweaver CS5中文版经典教程》&mdash;&mdash;1&period;7&emsp;创建自定义的快捷键</a>
					<div>
						1.7 创建自定义的快捷键 Adobe Dreamweaver CS5中文版经典教程Dreamweaver的另一个强大特性是创建你自己的快捷键以及更改现有的快捷键的能力.快捷键是独立于自定义的工作区加 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
